package
{
	import org.flixel.FlxSprite;
	
	public class PlayerSprite extends FlxSprite
	{
		public function PlayerSprite(X:Number=0, Y:Number=0, SimpleGraphic:Class=null)
		{
			super(X, Y, SimpleGraphic);
			animationQueue = new Vector.<String>();
		}
		
		public function AnimName():String
		{
			return this._curAnim.name;
		}
		
		override public function update():void
		{
			super.update();
			if (animationQueue.length>0)
			{
				if (this.finished && (this._curAnim.looped==false || this._curFrame==0))
				{
					var s:String = animationQueue[0];
					animationQueue.splice(0,1);
					this.play(s);
				}
					
			}
		}		
		
		public var animationQueue:Vector.<String>;
		
		public function QueueAnimation(name:String):void
		{
			animationQueue.push(name);
		}
	}
}